<template>
<div>
  <div class="fields">
    <st-switch-select :opcion1="switchOblOpc.opcion1" :opcion2="switchOblOpc.opcion2" :val="switchOblOpc.value" @changeSelect="switchOblOpc.value=$event"/>
    <st-switch-select :opcion1="switchGruInd.opcion1" :opcion2="switchGruInd.opcion2" :val="switchGruInd.value" @changeSelect="switchGruInd.value=$event"/>
    <st-switch-select :opcion1="switchAsiSol.opcion1" :opcion2="switchAsiSol.opcion2" :val="switchAsiSol.value" @changeSelect="switchAsiSol.value=$event"/>
    <st-switch-select :opcion1="switchVarFij.opcion1" :opcion2="switchVarFij.opcion2" :val="switchVarFij.value" @changeSelect="switchVarFij.value=$event"/>
  </div>
  <div class="content-footer">
    <st-secondary-btn nombre="Cancelar" @click="$emit('cancel')"/>
    <st-primary-btn nombre="Siguiente" @click="goNext()"/>
  </div>
</div>
</template>

<script>
import SwitchSelect from "@/components/SwitchSelect"

export default {  
  data () {
    return{
      switchGruInd:{
        value: false,
        opcion1:'Grupal',
        opcion2:'Individual',
      },
      switchOblOpc:{
        value: false,
        opcion1:'Obligatoria',
        opcion2:'Opcional',
      },
      switchAsiSol:{
        value: false,
        opcion1:'Tutor asignado',
        opcion2:'Tutor solicitado',
      },
      switchVarFij:{
        value: false,
        opcion1:'Tutor variable',
        opcion2:'Tutor fijo',
      },
    }
  },
  components: {
    'st-switch-select': SwitchSelect,
  },
  methods: {
    goNext(){
      let data = {
        caracteristicas:{
          esObligatoria: !this.switchOblOpc.value,
          esIndividual: this.switchGruInd.value,
          esTutorAsignado: !this.switchAsiSol.value,
          esTutorFijo: this.switchVarFij.value,
        }
      }
      this.$emit('next', data)
    },
  },
}
</script>

<style scoped lang="scss"> 
.fields{
  max-width:400px;
  margin:0 auto;
}
/* scope for encapsulate css */
</style>